NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Attributes | List of all members
NeuralEngine::MachineLearning::Potential Class Reference

It is simply a std::vector with an interface designed for dealing with probability mass functions. It is a flattend version of an D dimensional propability table. More...

`#include <FgPotential.h>`

Collaboration diagram for NeuralEngine::MachineLearning::Potential:
[legend]

## Public Member Functions
| Potential ()
| Default constructor. More...
| ~Potential ()
| Destructor. More...
void | Add (double value)
| Adds a potential value. More...
void | Set (double value, int index)
| Sets a potential value at given index. More...
double | Get (int index)
| Gets a potential value using the given index. More...

## Private Attributes
std::vector< double > | vP

## Detailed Description

It is simply a std::vector with an interface designed for dealing with probability mass functions. It is a flattend version of an D dimensional propability table.

It is mainly used for representing measures on a finite outcome space, for example, the probability distribution of a discrete random variable. However, entries are not necessarily non-negative; it is also used to represent logarithms of probability mass functions.

Hmetal T, 11.08.2017.

Template Parameters

  T | Should be a scalar and should support elementary arithmetic operations.

Definition at line 38 of file FgPotential.h.

## Constructor & Destructor Documentation

## ◆ Potential()

NeuralEngine::MachineLearning::Potential::Potential | ( |  | ) |

Default constructor.

Admin, 8/29/2017.

## ◆ ~Potential()

NeuralEngine::MachineLearning::Potential::~Potential | ( |  | ) |

Destructor.

Admin, 8/29/2017.

## Member Function Documentation

## ◆ Add()

void NeuralEngine::MachineLearning::Potential::Add | ( | double | value | ) |

Adds a potential value.

Admin, 8/29/2017.

Parameters

  value | The value to add.

## ◆ Set()

void NeuralEngine::MachineLearning::Potential::Set | ( | double | value,
|  | int | index
| ) |  |

Sets a potential value at given index.

Admin, 8/29/2017.

Parameters

  value | The value.
  index | Zero-based index of the value.

## ◆ Get()

double NeuralEngine::MachineLearning::Potential::Get | ( | int | index | ) |

Gets a potential value using the given index.

Admin, 8/29/2017.

Parameters

  index | The index to get.

Returns
  A double.

## Member Data Documentation

## ◆ vP

std::vector<double> NeuralEngine::MachineLearning::Potential::vP
| private

Definition at line 87 of file FgPotential.h.

The documentation for this class was generated from the following file:

- FgPotential.h